#!/usr/bin/perl
# Nubeprint: simplest CPM installer for UNIX
# v10.16
use strict;
use warnings;
use File::Basename;
use Cwd;

my $bindir = File::Basename::dirname($0);

chdir($bindir);
my $path=getcwd();
print "Nubeprint - UNIX installer v10.16\n";

print "Creating Scheduled Task using CRON\n";
system("crontab -l | grep -v 'cronsilent.sh -c config.xml'  | crontab -");
system("crontab -l > nube.cron");

my $minutes=int(rand(60));

open(my $fh,">>nube.cron");
print $fh "$minutes */2  *  *  *  $path/utils/cronsilent.sh -c config.xml -a li > /dev/null 2>&1 || true\n";
close $fh;
system("crontab nube.cron");
unlink("nube.cron");

print "Launching CPM\n";
system("./cpm");
print "Closed - Have a nice day!\n";
